Returns true if the given string starts with the provided sequence.

```lua
string.startswith("haystack", "needle")
```

### Parameters ###

`haystack` is the string to check. `needle` is the starting sequence to check against.


### Return Value ###

True if haystack starts with needle.


### Availability ###

Premake 4.0 or later.


### See Also ###

* [string.endswith](string.endswith.md)
